curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/connect_widget_url \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"client_redirect_url": "https://{yoursite.com}",
"color_scheme": "light",
"current_institution_code": "mxbank",
"current_member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"disable_background_agg": false,
"disable_institution_search": false,
"enable_app2app": false,
"include_identity": false,
"include_transactions": true,
"is_mobile_webview": false,
"mode": "aggregation",
"oauth_referral_source": "BROWSER",
"ui_message_version": 4,
"ui_message_webview_url_scheme": "<string>",
"update_credentials": false
}
}
'import requests
url = "https://int-api.mx.com/users/{user_guid}/connect_widget_url"
payload = { "config": {
"client_redirect_url": "https://{yoursite.com}",
"color_scheme": "light",
"current_institution_code": "mxbank",
"current_member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"disable_background_agg": False,
"disable_institution_search": False,
"enable_app2app": False,
"include_identity": False,
"include_transactions": True,
"is_mobile_webview": False,
"mode": "aggregation",
"oauth_referral_source": "BROWSER",
"ui_message_version": 4,
"ui_message_webview_url_scheme": "<string>",
"update_credentials": False
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
client_redirect_url: 'https://{yoursite.com}',
color_scheme: 'light',
current_institution_code: 'mxbank',
current_member_guid: 'MBR-7c6f361b-e582-15b6-60c0-358f12466b4b',
disable_background_agg: false,
disable_institution_search: false,
enable_app2app: false,
include_identity: false,
include_transactions: true,
is_mobile_webview: false,
mode: 'aggregation',
oauth_referral_source: 'BROWSER',
ui_message_version: 4,
ui_message_webview_url_scheme: '<string>',
update_credentials: false
}
})
};
fetch('https://int-api.mx.com/users/{user_guid}/connect_widget_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"connect_widget_url": "https://int-widgets.moneydesktop.com/md/connect/jb1rA14m85tw2lyvpgfx4gc6d3Z8z8Ayb8",
"guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}(Deprecated) Request connect widget URL
This endpoint will return a URL for an embeddable version of MX Connect.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Body
Optional config options for WebView (is_mobile_webview, current_institution_code, current_member_guid, update_credentials)
Hide child attributes
Hide child attributes
"https://{yoursite.com}"
"light"
"mxbank"
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
false
false
This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, the widget will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.
false
false
true
false
"aggregation"
"BROWSER"
4
false

